/*######################################################################################
AVR "ET-TFT240320 TP3.2 Rev.b" TouchDisplay	Header



#######################################################################################*/


#ifndef _ETT240320TP32REVB_H_
#define _ETT240320TP32REVB_H_



// Farb Konstanten
#define no_bg      0x0001 // No Color Back Ground
#define BGnd_Farbe 0x0000 // Screen Hintergrund

#define   Weiss1 0xFFFF // Weiss
#define   Weiss2 0xDEFB //   A
#define   Weiss3 0xBDF7 //	 |
#define   Weiss4 0x9CF3 //   |
#define   Weiss5 0x7BEF //   |
#define   Weiss6 0x5AEB //   |
#define   Weiss7 0x39E7 //   |
#define   Weiss8 0x18E3 //   V
#define  Schwarz 0x0000 // Schwarz

#define     Rot1 0xFDF7 // Hellrot
#define     Rot2 0xFCF3 //    A
#define     Rot3 0xFBEF //    |
#define     Rot4 0xFAEB //    |
#define     Rot5 0xF9E8 //    V
#define     Rot6 0xF8E3 // Dunkelrot
#define   Gruen1 0xBFF7 // Hellgrn
#define   Gruen2 0x9FF3 //    A
#define   Gruen3 0x7FEF //    |
#define   Gruen4 0x5FEB //    |
#define   Gruen5 0x47E8 //    V
#define   Gruen6 0x1FE3 // Dunkelgrn
#define    Blau1 0xBDFF // Hellblau
#define    Blau2 0x9CFF //    A
#define    Blau3 0x7BFF //	  |
#define    Blau4 0x5AFF //    |
#define    Blau5 0x39FF //	  V
#define    Blau6 0x18FF // Dunkelblau
#define    Gelb1 0xFFF7 // Hellgelb
#define    Gelb2 0xFFF3 //    A
#define    Gelb3 0xFFEF //    |
#define    Gelb4 0xFFEB //    |
#define    Gelb5 0xFFE7 //    V
#define    Gelb6 0xFFE3 // Dunkelgelb

#define    Cyan1 0x87FF // Hellcyan
#define    Cyan2 0x777D //    A
#define    Cyan3 0x66FB //    |
#define    Cyan4 0x5679 //	  |
#define    Cyan5 0x45F7 //    V
#define    Cyan6 0x3575 // Dunkelcyan
#define Magenta1 0xFC1F // Hellmagenta
#define Magenta2 0xEB9D //    A
#define Magenta3 0xDB1B //	  |
#define Magenta4 0xCA99 //    |
#define Magenta5 0xBA17 //    V
#define Magenta6 0xA995 // Dunkelmagenta
#define   Braun1 0xEC00 // Hellbraun
#define   Braun2 0xDB80 //    A
#define   Braun3 0xCB00 //    |
#define   Braun4 0xBA80 //    |
#define   Braun5 0xAA00 //    V
#define   Braun6 0x99C0 // Dunkelbraun
#define  Orange1 0xFF9C // Hellorange
#define  Orange2 0xFF18 //    A
#define  Orange3 0xFE94 //    |
#define  Orange4 0xFE10 //    |
#define  Orange5 0xFCE7 //    V
#define  Orange6 0xFBE0 // Dunkelorange

#define   BlauG1 0xDF9F // HellBlauGrn
#define   BlauG2 0xB6FF //    A
#define   BlauG3 0x8E5F //    |
#define   BlauG4 0x65BF //    |
#define   BlauG5 0x3D1F //    V
#define   BlauG6 0x047F // DunkelBlauGrn

#define Hintergrund 0   // Hintergrund & Screen Farben
#define Rot       1		// dunkle Farben
#define Gruen     2		//    |
#define Blau      3		//    |
#define	Gelb	  4		//    |
#define Weiss     5		//    |
#define Cyan      6		//    |
#define Magenta   7		//    |
#define Braun     8		//    V
#define hRot      9     // helle Farben
#define hGruen   10		//	  |
#define hBlau    11		//    |
#define	hGelb    12		//    |
#define hWeiss   13		//    |
#define hCyan    14		//    |
#define hMagenta 15		//    |
#define hBraun   16		//    V



// Valiable for Touch Screen Function GLCD
long dif_adc_X,dif_adc_Y          ;
long buf_adc_X[100],buf_adc_Y[100];
long ave_adc_X,ave_adc_Y          ;
long tcs_ave_X[3]                 ; // Keep Value adc Touch Point X
long tcs_ave_Y[3]                 ; // Keep Value adc Touch Point Y
long dis_XD[3]                    ; // Value refer Point X at 10% of Display(X=240:0-239) 3 Position
long dis_YD[3]                    ; // Value refer Point Y at 10% of Display(Y=320:0-319) 3 Position
long divider,An,Bn,Cn,Dn,En,Fn,X,Y; // Valiable for keep coefficient Calibrat and position touch Screen

//******** 1.Function Control Graphic LCD ET-TFT240320TP-3.2 REV.B (Driver SPFD5408A) ************
void gp_cs_hi(void)			;
void gp_cs_lo(void)			;
void gp_res_hi(void)		;
void gp_res_lo(void)		;
void gp_bl_on(void)			;
void gp_bl_off(void) 		;
unsigned char spi_rdwr(unsigned char DataByte) ;	
void gp_wr_cmm(uint8_t cmm)	;
void gp_wr_data(uint16_t dw);
void init_glcd(void)        ;

//************* 2.Function Control SPI Touch-Screen (ADS7846) ****************
void tcs_sck_hi(void)           ;
void tcs_sck_lo(void)           ;
void tcs_cs_hi(void)			;
void tcs_cs_lo(void)			;
void tcs_sdo_hi(void)			;
void tcs_sdo_lo(void)			;
void tcs_busy(void)             ;
int8_t status_touch(void)      ;
uint8_t tcs_wr(uint8_t DataByte);
void tcs_read(void)             ;
void ave_x_y(uint8_t num)		;

void touch_calibrate(void)      ;
void set_matrix(void)           ;
void get_point(uint8_t num)     ;

//********************** 3.Function Application of GLCD **********************
void bg_color(unsigned int bg_color)										;
void plot_mark(uint8_t x1,uint16_t y1,uint8_t x2,uint16_t y2,uint16_t color);

void lcd_Ascii(uint8_t row,uint8_t font, uint8_t adx,uint16_t ady,uint16_t fg_clr,uint16_t bg_clr);
void print_Str(char *str,uint8_t font,uint8_t sx,uint16_t sy,uint16_t fg_color,uint16_t bg_color) ;
void print_Zahl(uint16_t zahl,uint8_t ziffern,uint8_t font,uint8_t x,uint16_t y,uint16_t farbe, uint16_t bgfarbe);

void plot_dot(uint8_t dx,uint16_t dy,uint16_t color) 											   ;
void Line(uint8_t lx1,uint16_t ly1,uint8_t lx2,uint16_t ly2,uint8_t line_type,uint16_t color)      ;
void Circle(int CX,int CY,unsigned char Radius,unsigned tick,unsigned int color,unsigned char fill);
void Ellipse(uint16_t h,uint16_t k,long rx,long ry,uint8_t tick,uint16_t color,uint8_t fill)	   ;
void Rectan(uint8_t x1,uint16_t y1,uint8_t x2,uint16_t y2,uint8_t tick,uint16_t color,uint8_t fill);



// extras
void delay_ms(uint16_t cnt);

#endif
