/******************************************************
 *                  AVR Kontakte Treiber              *
 *                                                    *
 ******************************************************
 *                                                    *
 * Kontakte auf GND                                   *
 *                                                    *
 *   VCC o-------+                                    *
 *               |                                    *
 *             +-+                                    *
 *             | | PullUp ~10k od. internen PullUp    *
 *             +-+                                    *
 *               |                                    *
 * PK0-7 o-------+                                    *
 *               |                                    *
 *                  /  Reed Kontakt                   *
 *                /                                   *
 *               |                                    *
 *   GND o-------+                                    *
 *                                                    *
 ******************************************************/


#include <avr/io.h>

#define extern
#include "kontakte.h"            // Header
#undef extern

void init_kontakte(void)
  {
    DDRK  &= ~( (1<<PK0) | (1<<PK1) | (1<<PK2) | (1<<PK3) | (1<<PK4) | (1<<PK5) | (1<<PK6) | (1<<PK7) );  /* PK0 bis PK7 als Eingnge */
    PORTK |=  ( (1<<PK0) | (1<<PK1) | (1<<PK2) | (1<<PK3) | (1<<PK4) | (1<<PK5) | (1<<PK6) | (1<<PK7) );  /* Interne Pull-Up fr alle einschalten */
  }
