/*######################################################################################
AVR Sound Header

Timer3 fr die Tonerzeugung

#######################################################################################*/

#ifndef _SOUND_H_
#define _SOUND_H_



// The Frequency is taken from http://www.phy.mtu.edu/~suits/notefreqs.html
#define C6  661
#define D6  588
#define E6  524
#define F6  495
#define G6  441
#define A6  393
#define B6  350
#define C7  330
#define PAUSE 80


void play_note(unsigned int note, unsigned int duration); // Note spielen
void play_melody(unsigned int typ); // Melody spielen
void init_sound(void); // Sound Ini




#endif
