#ifndef _FUNKTIONEN_H_
#define _FUNKTIONEN_H_

// Menu Funktionen Header

void taster_tab(uint8_t action);
void monat_ausgabe(uint8_t monat,uint8_t format,uint8_t font,uint8_t xleft,uint16_t ytop,uint16_t fg_clr,uint16_t bg_clr);
void cursor_set(void);
void symbole(uint8_t symbol, uint8_t xleft, uint16_t ytop, uint16_t fg_clr);
void bin_clock(uint8_t ziffer, uint8_t x_foo, uint16_t y_foo, uint16_t clr, uint16_t clr2);
uint8_t tage_im_monat(uint8_t monat, uint16_t jahr);
uint8_t wochentag(uint8_t tag, uint8_t monat, uint16_t jahr);
uint8_t schaltjahr(uint16_t jahr);
uint16_t tagesnummer(uint8_t tag, uint8_t monat, uint16_t jahr);
uint16_t tag_monat(uint16_t tagesnummer, uint16_t jahr);
uint16_t feiertag(uint8_t tag, uint8_t monat, uint16_t jahr);
uint8_t tag_zu_text(uint8_t tag);
uint8_t monat_zu_text(uint8_t monat);
void chart_datum(uint8_t flag);
uint8_t last_next(void);
void chart_minmax(void);
uint8_t array_zu_sentyp(uint8_t flag, uint8_t typ, uint8_t num);
void list_draw(void);

void tab_blink_tog(uint8_t tempo, uint8_t anzahl);
void tab_blink(uint8_t blinkflag);
void color_set(uint8_t color);
uint16_t txt_clr(uint8_t flag);
void button_text(uint8_t tab, uint8_t xleft, uint16_t ytop);
void display_time(uint8_t format);
void label_value(uint8_t flag,uint8_t typ,uint8_t num,uint8_t font,uint8_t xleft,uint16_t ytop,uint16_t txt_color,uint16_t gnd_color);


#endif
